Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » RAP application not working on tomcat9.0.60/10.0.18 ?!
RAP application not working on tomcat9.0.60/10.0.18 ?! [message #1851214] Thu, 31 March 2022 03:03 Go to next message
David Lee is currently offline David LeeFriend
Messages: 67
Registered: May 2013
Member
Dear all,

Environment:
Ubuntu 20.04 and Windows7 64bit
Jdk8u77
eclipse 4.7.3a
RAP 3.4sr2
demo.war(from org.eclipse.rap.demo.controls)

I imported source from org.eclipse.rap.demo.controls,and packed it as demo.war.
It works normally after deploying on both tomcat7.0.79 and tomcat8.5.64, but failed on both tomcat9.0.60 and tomcat10.0.18.

I tried over and over again with no luck, cannot figure out why not working?!
it's supposed to run on tomcat9 at least?!

In addition, my web service API works well on the 4 versions of Tomcat mentioned above!
I also checked catalina***.log, no warning/error message!

Please help!
Thank you in advance!

Best Regards,
David

[Updated on: Thu, 31 March 2022 03:40]

Report message to a moderator

Re: RAP application not working on tomcat9.0.60/10.0.18 ?! [message #1851353 is a reply to message #1851214] Mon, 04 April 2022 00:42 Go to previous message
David Lee is currently offline David LeeFriend
Messages: 67
Registered: May 2013
Member
Hi,

I finally found RAP 3.5 began to support Tomcat 9, and I am using RAP 3.4.
That's the reason!
Previous Topic:UI Freeze with RAP
Next Topic:3.20 release not yet in Maven Central ?
Goto Forum:
  


Current Time: Sat Oct 01 01:56:43 GMT 2022

Powered by FUDForum. Page generated in 0.02093 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top